Bug 153974 - Changes in NIS database are only visible for getent/NSS after ypserv restart
Changes in NIS database are only visible for getent/NSS after ypserv restart
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ypserv (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Steve Dickson
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2005-04-06 06:33 EDT by Florian Brand
Modified: 2015-01-07 19:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:05:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florian Brand 2005-04-06 06:33:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
after adding a new user and recreating the NIS database ypcat shows the new user while getent passwd does not. After restarting ypserv getent works as expected 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. nisserver# useradd foo
2. nisserver# make -C /var/yp
3. nisclient# ypcat passed | grep foo
   foo:X:505: ...

Actual Results:  4. nisclient# getent passwd | grep foo
   [no response]

Expected Results:  4. nisclient# getent passwd | grep foo
   foo:X:505: ...

Additional info:

service ypserv restart
Comment 1 RHEL Product and Program Management 2007-10-19 15:05:24 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.